Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514399 - blivet.errors.FormatSetupError: format has not been created
Summary: blivet.errors.FormatSetupError: format has not been created
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b0e0f440321f77eae62b86b6f79...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 10:22 UTC by Sergey Safarov
Modified: 2018-11-30 19:52 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:52:12 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: anaconda.log (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: dnf.librepo.log (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: environ (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: hawkey.log (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: lorax-packages.log (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: lsblk_output (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: lvm.log (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: nmcli_dev_list (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: os_info (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: program.log (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: storage.log (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: syslog (deleted)
2017-11-17 10:22 UTC, Sergey Safarov
no flags Details
File: ifcfg.log (deleted)
2017-11-17 10:23 UTC, Sergey Safarov
no flags Details
File: packaging.log (deleted)
2017-11-17 10:23 UTC, Sergey Safarov
no flags Details

Description Sergey Safarov 2017-11-17 10:22:00 UTC
Description of problem:
using CLI configred bcache on all magnetics drives and one SSD partition
then from /dev/bcacheXX drives create LVM PV volmes and added to LVM volume group
Created LVM logical volumes.

Then restarted installed and created manual pardition
Durring systemd installtion formated /var on LVM+bcache disk and error happen

Version-Release number of selected component:
anaconda-27.20.4-1

The following was filed automatically by anaconda:
anaconda 27.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 620, in _pre_setup
    raise FormatSetupError("format has not been created")
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/formats/__init__.py", line 601, in setup
    if not self._pre_setup(**kwargs):
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 574, in turn_on_swap
    device.format.setup()
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 1479, in turn_on_swap
    self.fsset.turn_on_swap(root_path=get_sysroot())
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1119, in turn_on_filesystems
    storage.turn_on_swap()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 438, in run_task
    self._task(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 472, in start
    self.run_task()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation_tasks.py", line 304, in start
    item.start()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/installation.py", line 366, in doInstall
    installation_queue.start()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 252, in run
    threading.Thread.run(self)
blivet.errors.FormatSetupError: format has not been created

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-WS-dvd-x86_64-27 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        27

Comment 1 Sergey Safarov 2017-11-17 10:22:19 UTC
Created attachment 1354076 [details]
File: anaconda-tb

Comment 2 Sergey Safarov 2017-11-17 10:22:22 UTC
Created attachment 1354077 [details]
File: anaconda.log

Comment 3 Sergey Safarov 2017-11-17 10:22:26 UTC
Created attachment 1354078 [details]
File: dnf.librepo.log

Comment 4 Sergey Safarov 2017-11-17 10:22:28 UTC
Created attachment 1354079 [details]
File: environ

Comment 5 Sergey Safarov 2017-11-17 10:22:30 UTC
Created attachment 1354080 [details]
File: hawkey.log

Comment 6 Sergey Safarov 2017-11-17 10:22:32 UTC
Created attachment 1354081 [details]
File: lorax-packages.log

Comment 7 Sergey Safarov 2017-11-17 10:22:34 UTC
Created attachment 1354082 [details]
File: lsblk_output

Comment 8 Sergey Safarov 2017-11-17 10:22:44 UTC
Created attachment 1354083 [details]
File: lvm.log

Comment 9 Sergey Safarov 2017-11-17 10:22:46 UTC
Created attachment 1354084 [details]
File: nmcli_dev_list

Comment 10 Sergey Safarov 2017-11-17 10:22:48 UTC
Created attachment 1354085 [details]
File: os_info

Comment 11 Sergey Safarov 2017-11-17 10:22:50 UTC
Created attachment 1354086 [details]
File: program.log

Comment 12 Sergey Safarov 2017-11-17 10:22:54 UTC
Created attachment 1354087 [details]
File: storage.log

Comment 13 Sergey Safarov 2017-11-17 10:22:58 UTC
Created attachment 1354088 [details]
File: syslog

Comment 14 Sergey Safarov 2017-11-17 10:23:00 UTC
Created attachment 1354089 [details]
File: ifcfg.log

Comment 15 Sergey Safarov 2017-11-17 10:23:02 UTC
Created attachment 1354090 [details]
File: packaging.log

Comment 16 Jiri Konecny 2017-11-20 09:09:55 UTC
Looks like a storage related issue.

Changing components.

Comment 17 Ben Cotton 2018-11-27 17:01:54 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2018-11-30 19:52:12 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.